# Method: customers.customColumns.list

- [HTTP request](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/list#body.request_body)
- [Response body](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/list#body.response_body)
  - [JSON representation](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/list#body.ListCustomColumnsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns/list#body.aspect)

Returns all the custom columns associated with the customer in full detail.

### HTTP request

`GET https://searchads360.googleapis.com/v0/customers/{customerId}/customColumns`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Required. The ID of the customer to apply the CustomColumn list operation to. |

### Request body

The request body must be empty.

### Response body

Response message for fetching all custom columns associated with a customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customColumns": [ { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns#CustomColumn`) } ] } ``` |

| Fields ||
|---|---|
| `customColumns[]` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/customers.customColumns#CustomColumn`)`` The CustomColumns owned by the provided customer. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclicksearch`